# std::fwide

From cppreference.com
< cpp‎ | io‎ | c

Defined in header `<cwchar>` |  |
int fwide( std::FILE * stream, int mode ); |  |

If `mode > 0`, attempts to make `stream` wide-oriented. If `mode < 0`, attempts to make `stream` byte-oriented. If mode==0, only queries the current orientation of the stream.

If the orientation of the stream has already been decided (by executing output or by an earlier call to fwide), this function does nothing.

### Parameters

stream | - | pointer to the C I/O stream to modify or query
mode | - | integer value greater than zero to set the stream wide, less than zero to set the stream narrow, or zero to query only

### Return value

An integer greater than zero if the stream is wide-oriented after this call, less than zero if the stream is byte-oriented after this call, and zero if the stream has no orientation.

### See also

fopen | opens a file (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/c/fwide&oldid=73688"